LINUX.ORG.RU

Опять про древности

 


0

1

Хочу иметь полноценный дистрибутив с иксами (640x480, 4 оттенка серого) и сетью (нуль-модем) на довольно старом компьютере (i386 @ 20MHz, 4Mb RAM, 20Mb HDD). Что посоветуете? Какую брать версии ядра? Как всё это собирать?

★★★★★

Ответ на: комментарий от vostrik

У меня есть другая машинка. На ней как раз 8Mb памяти. Там BasicLinux просто летает.

CYB3R ★★★★★ ()
Ответ на: комментарий от CYB3R

а у меня есть машина на которой 4 метра памяти и там иксы ползают. будем дальше меряться?

vostrik ★★★☆ ()
Ответ на: комментарий от vostrik

Я эту же версию не завёл, памяти не хватило.
Подожду вечера.

CYB3R ★★★★★ ()
Ответ на: комментарий от CYB3R

давай по порядку, какую версию ты пытался завести? ту, которая DOS - тогда пиши, что не так, там все должно работать. или ту, которая «live» и которой нужно 12 метров памяти (8 метров для v. 1.8) - тогда непонятно, на что ты надеешься

vostrik ★★★☆ ()

Тег поправь. А то я сначала подумал, что тут что-то про Nero.

kss ★★★★★ ()

lfs

Как всё это собирать?

not my problem

anonymous ()
Ответ на: комментарий от vostrik

твоя ссылка предлагает мне обновить браузер до седьмой мобильной (или мини, хз) оперы. сру тебе в карму

xsektorx ★★★ ()
Ответ на: комментарий от xsektorx

Лауреат Премии Правительства РФ в области образования

vostrik ★★★☆ ()
Ответ на: комментарий от CYB3R

ну так поставь дос, делов-то. двухдискетная, рассчитанная на то, чтобы разворачиваться в 12 метров рамы очевидно не влезет в 4 метра, тем более с иксами.
кстати после запуска из доса можно установить baslinux в свой раздел и получить обычную систему, только с не помню каким загрузчиком

vostrik ★★★☆ ()
Ответ на: комментарий от Quark_p

Я не смог его упаковать на одну дискету 1.44, тред создавал. Гуглил, не помогло. Есть ли возможность установить туда ядро не 2.0.36, а 2.4 или хотя бы 2.2?

CYB3R ★★★★★ ()
Ответ на: комментарий от CYB3R

Есть ли возможность установить туда ядро не 2.0.36, а 2.4 или хотя бы 2.2?

Боюсь, не влезет оно никак в 4МБ оперативки.

Eddy_Em ☆☆☆☆☆ ()
Ответ на: комментарий от CYB3R

Я не смог его упаковать на одну дискету 1.44

а это разве не оно?

5.9 How can one reduce the required RAM, in case I want to use floppy #1 in a machine with 4MB?

If the system blocks at the message about «toilet paper», you only started the kernel, but the system itself won't run. Try decreasing the ramdisk_size - when the you see the message «boot:» booting from floppy, type the following carefully:

boot: mulinux f1722 load_ramdisk=1 prompt_ramdisk=0
ramdisk_size=3000
ramdisk_start=597

(on a single line) The default value is 4600 in muLinux. You will gain 1.5M, maybe it will works.

vostrik ★★★☆ ()
Ответ на: комментарий от CYB3R

короче стандартный baslinux, версию ведра посмотреть не могу, забыл что у меня клава в разобранном состоянии до сих пор. но есть вот такой http://www.volny.cz/basiclinux/config.txt конфиг и чейнжлого версии 3.40 с kernel upgraded to 2.2.26

vostrik ★★★☆ ()

на довольно старом компьютере (i386 @ 20MHz, 4Mb RAM, 20Mb HDD)

не, ну это-ж уже слишком-ж.. :) ЦП от 486 и будет щастье. Slackware вполне себе жила на 486DLC c 4Mb. 800x600x256+fvwm и всё было прелестно.

Как всё это собирать?

собирать с чуством. Ибо процесс долгий и надо его старательно обставить - подобрать музыку, пару тройку фильмов которые давно хотел пересмотреть, договориться с друзьями на биллиард.

ps. Два-три дня здорового образа жизни (без пива,сигарет,булочек и энергетиков) - и можно взять порядочную железку. Новый комп/неттоп в пределах 5т.р. совсем не фантастика, а если допустим б/у, так вообще нет предела совершенству.

MKuznetsov ★★★★★ ()
Ответ на: комментарий от CYB3R

Процессор напаян.

Разве настоящего джедая это остановит?
Хотя замена тройки это уже конечно не спортивно =)
Ядро 2.4 на 4 метрах даже не запустится, прямо сказав об этом при старте, придётся патчить, и патчсеты такие были, но уже столько времени прошло...
Я даже больше скажу, 2.6 тоже, думаю, можно завести, на многих роутерах стоит 4-6 метров оперативки, но как и с 2.4 это будет вечный своп.

GAMer ★★★★★ ()
Ответ на: комментарий от CYB3R

Нет. Как самый минимум будут ядро+init+libc+sh... Это в 4мб влезть ещё может, почти впритык. Об иксах даже речи не идёт.

GAMer ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.